Bug 471211 - iMac G4 needs video=ofonly to boot
iMac G4 needs video=ofonly to boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
ppc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 08:09 EST by Ludovico Fischer
Modified: 2010-06-28 06:48 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 161741 None None None Never

  None (edit)
Description Ludovico Fischer 2008-11-12 08:09:12 EST
Description of problem:
On an iMac G4, with the default yaboot configuration, after loading the kernel, we get a blank screen, remaining for an indefinite time.


How reproducible:
Always.

Steps to Reproduce:
1. Install rawhide (10.11.2008) 
2. Try to boot the system.

  
Actual results:
A message appears telling the kernel is loaded, then the screen turns black and remains like that indefinitely.

Expected results:
The user should be able to reach or see the login prompt.

Additional info:
This behaviour happens even when rghb is not added to the 'append' line in yaboot.conf. I had not added video=ofonly in Fedora 9, but maybe it was already there by default. The problem also happens on certain ubuntu kernels.

lspci:
0000:00:10.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev b2)
Comment 1 Bug Zapper 2008-11-26 00:14:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kazunori Asayama 2009-01-07 01:25:09 EST
I can see the same symptom on my PowerMac G5, too.

lspci:

0000:0a:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev a2)
Comment 3 Tony Breeds 2009-02-24 20:59:18 EST
This is not a yaboot problem, it's a kernel problem.  It's been recently (re?)exposed in rawhide.

2.6.29-0.131.rc5.git2.fc11.ppc was okay 2.6.29-0.137.rc5.git4.fc11.ppc is showing this problem.

My platform is a MacMini with a:
0000:00:10.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01)

graphics adapter, that implies it's not driver specific as the previous report used a different card.
Comment 4 Kyle McMartin 2009-02-25 11:43:54 EST
Grr.

I suspect this is due to adding a module_device_table to radeon's drm driver, and because KMS is on for powerpc when it shouldn't be.

I'll turn off RADEON_KMS in rawhide, can you test the next built kernel? (Should be -rc6-git2 or later.)

Thanks, Kyle
Comment 5 Kyle McMartin 2009-02-25 11:50:48 EST
(Or at least, that's basically the only thing that could have possibly changed for your mac mini. No idea about the nvidia issues...)
Comment 6 Tony Breeds 2009-02-25 14:39:00 EST
(In reply to comment #4)
> Grr.
> 
> I suspect this is due to adding a module_device_table to radeon's drm driver,
> and because KMS is on for powerpc when it shouldn't be.
> 
> I'll turn off RADEON_KMS in rawhide, can you test the next built kernel?
> (Should be -rc6-git2 or later.)

Yup np  post the d/l url here and I'll test.
Comment 7 Tony Breeds 2009-03-12 23:00:39 EDT
(In reply to comment #5)
> (Or at least, that's basically the only thing that could have possibly changed
> for your mac mini. No idea about the nvidia issues...)  

FWIW 2.6.29-0.218.rc7.git2.fc11.ppc has fixed the problem for me.
Comment 8 Bug Zapper 2009-06-09 05:52:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-04-27 08:20:05 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 06:48:43 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.